import TrainingPlanManage from "./views/TrainingPlanManage.vue";
import CourseOutlineManage from "./views/CourseOutlineManage.vue";
import CourseExamine from "./views/CourseExamine.vue";
import StudentTarget from "./views/StudentTarget.vue";
import TargetStatistics from "./views/TargetStatistics.vue";
import RequirementStatistics from "./views/RequirementStatistics.vue";
import TargetScoreManage from "./views/TargetScoreManage.vue";

export default [
  // 培养方案
  {
    path: "/target/training-plan-manage",
    name: "CultureProgram",
    component: TrainingPlanManage,
  },
  // 教学大纲
  {
    path: "/target/course-outline-manage",
    name: "CourseOutlineManager",
    component: CourseOutlineManage,
  },
  // 课程考核设置
  {
    path: "/target/course-examine",
    name: "CourseAssessmentSetting",
    component: CourseExamine,
  },
  // 毕业要求达成度统计
  {
    path: "/target/requirement-statistics",
    name: "GraduationRequirement",
    component: RequirementStatistics,
  },
  // 课程目标达成度统计
  {
    path: "/target/target-statistics",
    name: "TargetReportManage",
    component: TargetStatistics,
  },
  // 学生毕业要求达成度
  {
    path: "/target/student-target",
    name: "StudentRequirement",
    component: StudentTarget,
  },
  // 平时期末-成绩管理
  {
    path: "/target/target-score-manage",
    name: "TargetScoreManage",
    component: TargetScoreManage,
  },
];
